Subject: Re: [e1000]: flow control on by default - good idea really?

From: jamal <[email-masked]>
Date: Wed, 18 Oct 2006 09:35:40 -0400

On Tue, 2006-17-10 at 14:02 -0700, Auke Kok wrote:

> For now, we should really report the FC status in e1000 at link up time. Jamal: this 
> should help you out for now, I'll send something like this upstream later on.
> 

Thanks - this puts you at par with the tg3 at least.

On Tue, 2006-17-10 at 14:46 -0700, David Miller wrote: 
> From: jamal <[email-masked]>
> Date: Tue, 17 Oct 2006 09:05:31 -0400
> 
> > It sounds to me that ethttool needs to have this semantic fix.
> > IOW, ethttool doesnt differentiate the two items:
> > a) advertised parameters.
> > b) link partner negotiated parameters.
> > 
> > and instead #a becomes #b after negotiation.
> > 
> >
> > methinks this needs fixing. Dave? Jeff?
> 
> The way I understand it the ethernet autonegotiation mechanisms don't
> really give you a way to seperate these two things.
> 
> Either you negotiate the link and flow control settings, or nothing.

True - but I was thinking more of the state stored in the driver
either by ethtool or some other part of the driver.

If i remember correctly, Donald Beckers old mii tool was able to 
display
"here's what you have configured the driver for link and flow control and 
these are what i advertise to link peers"
and
"here's what current negotiated link and flow control parameters with 
link peer"

That distinction doesnt exist with ethtool. Or i am missing something.

cheers,
jamal